Package com.sas.lsaf.execution.session

## Enum Session.SessionEngine

- java.lang.Object
- - java.lang.Enum<Session.SessionEngine>
  - - com.sas.lsaf.execution.session.Session.SessionEngine

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Session.SessionEngine>`
  Enclosing class:
    Session

      public static enum Session.SessionEngine
      extends java.lang.Enum<Session.SessionEngine>

  The enumeration that describes the type of session.
  Since:
    2.4

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMPOSITE` | The session of a job that uses both a SAS and an R engine.
    `R` | The session uses an R engine.
    `SAS` | The session uses a SAS engine.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Session.SessionEngine` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Session.SessionEngine[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SAS

          public static final Session.SessionEngine SAS

      The session uses a SAS engine.

    - #### R

          public static final Session.SessionEngine R

      The session uses an R engine.

    - #### COMPOSITE

          public static final Session.SessionEngine COMPOSITE

      The session of a job that uses both a SAS and an R engine.

  - ### Method Detail

    - #### values

          public static Session.SessionEngine[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Session.SessionEngine c : Session.SessionEngine.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Session.SessionEngine valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null